<?php
//Покупка товара
if(!defined('WEBUPPER')){ exit; }

list($item_id, $email) = explode('||', $extra);
$item_id = intval($item_id);
$email = mysqli_real_escape_string($connect_db, $email);
$item = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,usr,inf,ty,co,ti,sec,st,dt,log,ref,rat FROM `".DB_PREFIX."_es` INNER JOIN ".DB_PREFIX."_users ON ".DB_PREFIX."_es.usr = ".DB_PREFIX."_users.uid WHERE id = '$item_id' LIMIT 1"));

$rat = $item['rat'];
if ($rat < 10) { $com = '0.20'; } if ($rat >= 10 && $rat < 50) { $com = '0.18'; } if ($rat >= 50 && $rat < 100) { $com = '0.16'; } if ($rat >= 100 && $rat < 250) { $com = '0.14'; } if ($rat >= 250) { $com = '0.12'; }
$ecom = $item['co']*$com;
$ecost = $item['co']-$ecom;
$emb = $email;

if ($item['inf'] == 0 && $item['ty'] == 0) {
require('../wu-functions/mail/wu_mail.php');
$expiry = $dt+86400;
$link = $item['id'].'_'.$expiry.'_'.md5(md5($item['id'].'wu'.$expiry.$item['usr'].$item['dt'])).'wu';
$mail_themeb = 'Ваш купленный товар';
$mail_topb = 'Ссылка на скачивание товара:';
esend($emb, $mail_themeb, $mail_topb, PROTOCOL.SITE."/wu-engine/wu-actions/eshop_item_download_noreg/$link", 'clear');
}

if ($item['inf'] == 0 && $item['ty'] == 1) {
$sec = nl2br(htmlspecialchars($item['sec']));
$mail_themeb = 'Ваш купленный товар';
$mail_topb = 'Ваш купленный товар:';
esend($emb, $mail_themeb, $mail_topb, $sec, 'clear');
}

if ($item['inf'] == 1) {
$unit = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,sec FROM ".DB_PREFIX."_es_u WHERE m='$item[id]' AND st = '0' LIMIT 1"));
mysqli_query($connect_db, "UPDATE ".DB_PREFIX."_es_u SET st='1' WHERE id='$unit[id]' LIMIT 1");
$sec = nl2br(htmlspecialchars($unit['sec']));
$mail_themeb = 'Ваш купленный товар';
$mail_topb = 'Ваш купленный товар:';
esend($emb, $mail_themeb, $mail_topb, $sec, 'clear');
}

mysqli_query($connect_db, "UPDATE ".DB_PREFIX."_users SET bal=bal+'$ecost', rat=rat+0.2 WHERE uid='$item[usr]' LIMIT 1");
wu_operation($item['usr'], 1, $ecost, "У Вас купили товар $item[ti]");

//Запись в лог админа
wu_log_fin($u_id, 1, "Купил товар $item[ti] за $item[co] руб.");

if ($item['ref'] > 0) {
$ratra = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid,rat FROM ".DB_PREFIX."_users WHERE uid='$item[ref]'"));
$ratr = $ratra['rat'];
if ($ratr < 10) { $rplus = '0.01'; } if ($ratr >= 10 && $ratr < 50) { $rplus = '0.02'; } if ($ratr >= 50 && $ratr < 100) { $rplus = '0.03'; } if ($ratr >= 100 && $ratr < 250) { $rplus = '0.04'; } if ($ratr >= 250) { $rplus = '0.05'; }
$toref = $ecost*$rplus;
mysqli_query($connect_db, "UPDATE ".DB_PREFIX."_users SET toref=toref+'$toref' WHERE uid='$item[usr]' LIMIT 1");
mysqli_query($connect_db, "UPDATE ".DB_PREFIX."_users SET bal=bal+'$toref' WHERE uid='$item[ref]' LIMIT 1");
wu_operation($item['ref'], 1, $toref, "Реферальные отчисления");
}

//Отправка уведомления в личный кабинет и уведомления на E-mail
$msgz = "У Вас купили $item[ti]. Вам начислено $ecost руб.";
mysqli_query($connect_db, "INSERT INTO `".DB_PREFIX."_notif` (usr,msg,st,dt) VALUES ('$item[usr]','$msgz','1','$dt')");
wu_email_send_usr($item['usr'], 'Новая покупка товара', $msgz);

mysqli_query($connect_db, "UPDATE `".DB_PREFIX."_config` SET adm_profit=adm_profit+'$ecom' WHERE id='1' LIMIT 1");